define("tiny_widgethub/controller/widgetPickerCtrl",["exports","core/str","../controller/widgetParamsCtrl","../options","../service/modalSrv","../service/templateSrv","../service/userStorageSrv","../util"],(function(_exports,_str,_widgetParamsCtrl,_options,_modalSrv,_templateSrv,_userStorageSrv,_util){Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.WidgetPickerCtrl=void 0,_exports.getWidgetPickCtrl=function(editor){let instance=widgetPickerCtrlInstances.get(editor);instance||(instance=new WidgetPickerCtrl(editor,(0,_options.getEditorOptions)(editor),(0,_widgetParamsCtrl.getWidgetParamsFactory)(editor),(0,_modalSrv.getModalSrv)(),(0,_templateSrv.getTemplateSrv)(),(0,_userStorageSrv.getUserStorage)(editor)),widgetPickerCtrlInstances.set(editor,instance));return instance},_exports.setVisibility=void 0;
/**
   * Tiny WidgetHub plugin.
   *
   * @module      tiny_widgethub/plugin
   * @copyright   2024 Josep Mulet Pol <pep.mulet@gmail.com>
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */
const setVisibility=function(el,visible){el&&(visible?el.classList.remove("d-none"):el.classList.add("d-none"))};_exports.setVisibility=setVisibility;class WidgetPickerCtrl{modal;constructor(editor,editorOptions,widgetParamsFactory,modalSrv,templateSrv,userStorage){this.editor=editor,this.editorOptions=editorOptions,this.widgetParamsFactory=widgetParamsFactory,this.modalSrv=modalSrv,this.templateSrv=templateSrv,this.storage=userStorage,this.scrollPos=0}isSelectMode(){return this.editor.selection.getContent().trim().length>0}setWidgetButtonsVisibility(bodyForm,searchText){let numshown=0;const selectMode=this.isSelectMode();return bodyForm.find(".btn-group").each(((i,el)=>{let visible=!selectMode||selectMode&&"true"===el.dataset.selectable;const el2=el.querySelector("button");visible&&=null!==el2&&(""===searchText.trim()||(0,_util.searchComp)(el2.textContent??"",searchText)||(0,_util.searchComp)(el2.title??"",searchText)),setVisibility(el,visible),visible&&numshown++})),numshown}onSearchKeyup(){const searchText=this.modal.body.find("input").val()??"";this.storage.setToSession("searchtext",searchText,!0);const numshown=this.setWidgetButtonsVisibility(this.modal.body,searchText);setVisibility(this.modal.body.find(".tiny_widgethub-emptylist")[0],0==numshown);this.modal.body.find(".tiny_widgethub-category").each(((_,el)=>{const count=el.querySelectorAll(".btn-group:not(.d-none)").length;setVisibility(el,count>0)}))}async onMouseEnterButton(evt){var _evt$target,_evt$target$closest,_evt$target$closest$d;const widget=this.editorOptions.widgetDict[(null===(_evt$target=evt.target)||void 0===_evt$target||null===(_evt$target$closest=_evt$target.closest(".btn-group"))||void 0===_evt$target$closest||null===(_evt$target$closest$d=_evt$target$closest.dataset)||void 0===_evt$target$closest$d?void 0:_evt$target$closest$d.key)??""];if(!widget||widget.isFilter())return;let html=widget._preview;html||(html=await this.generatePreview(widget),widget._preview=html),this.modal.body.find("div.tiny_widgethub-preview").html(html).css("display","block")}async createModal(){var _this$modal$header$;const searchText=this.storage.getFromSession("searchtext",""),data={...this.getPickTemplateContext(),searchText:searchText};this.modal=await this.modalSrv.create("picker",data);const blinkElem=document.createElement("SPAN");blinkElem.classList.add("tiny_widgethub-blink","d-none");const selectModeStr=await(0,_str.get_string)("selectmode","tiny_widgethub");blinkElem.innerHTML=`<i class="twh-icon twh-object-group"></i> ${selectModeStr}</span>`,null===(_this$modal$header$=this.modal.header[0])||void 0===_this$modal$header$||_this$modal$header$.append(blinkElem);try{this.modal.body.find(".tiny_widgethub-categorycontainer").scrollspy("refresh")}catch(ex){console.error("Problem setting scrollspy",ex)}const mouseEnterDebounced=(0,_util.debounce)(this.onMouseEnterButton.bind(this),1e3),widgetSearchElem=this.modal.body.find("input");widgetSearchElem.val(searchText);const debouncedKeyup=(0,_util.debounce)(this.onSearchKeyup.bind(this),800);widgetSearchElem.on("keyup",debouncedKeyup),this.modal.body.find(`#widget-clearfilter-btn${data.rid}`).on("click",(()=>{debouncedKeyup.clear(),widgetSearchElem.val(""),widgetSearchElem.trigger("focus"),this.onSearchKeyup()})),this.modal.body.find("div.tiny_widgethub-categorycontainer, div.tiny_widgethub-recent").on("click",(event=>{mouseEnterDebounced.clear(),this.modal.body.find("div.tiny_widgethub-preview").css("display","none"),this.handlePickModalClick(event)})),this.modal.body.find(".btn-group").on("mouseenter",mouseEnterDebounced).on("mouseout",(()=>{mouseEnterDebounced.clear(),this.modal.body.find("div.tiny_widgethub-preview").html("").css("display","none")}).bind(this));const scrollPane=this.modal.body.find(".tiny_widgethub-categorycontainer");scrollPane.on("scroll",(0,_util.debounce)((()=>{this.scrollPos=Math.round(scrollPane.scrollTop()??0)}),100))}async handleAction(){if(this.storage.loadStore(),this.modal){const widgetDict=this.editorOptions.widgetDict,html=this.storage.getRecentUsed().filter((r=>void 0!==widgetDict[r.key])).map((r=>`<a href="javascript:void(0)" data-key="${r.key}" data-insert="recent"><span class="badge badge-secondary">${widgetDict[r.key].name}</span></a>`)).join("\n");this.modal.body.find(".tiny_widgethub-recent").html(html)}else await this.createModal();this.onSearchKeyup();this.isSelectMode()?this.modal.header.find("span.tiny_widgethub-blink").removeClass("d-none"):this.modal.header.find("span.tiny_widgethub-blink").addClass("d-none"),this.modal.show(),setTimeout((()=>{var _this$modal;null!==(_this$modal=this.modal)&&void 0!==_this$modal&&_this$modal.body&&(this.scrollPos>0&&this.modal.body.find(".tiny_widgethub-categorycontainer").scrollTop(this.scrollPos),this.modal.body.find("input").trigger("focus"))}),200)}show(){var _this$modal2;null===(_this$modal2=this.modal)||void 0===_this$modal2||_this$modal2.show()}generatePreview(widget){const toInterpolate={...widget.defaults},engine=widget.prop("engine");return this.templateSrv.render(widget.template??"",toInterpolate,widget.I18n,engine)}getPickTemplateContext(){const snptDict=this.editorOptions.widgetDict,allButtons=Object.values(snptDict),autoFilters=this.storage.getFromLocal("startup.filters","").split(",").map((f=>f.trim())),categories={};allButtons.forEach((btn=>{const isFilter=btn.isFilter(),catName=(btn.category??"MISC").toUpperCase();let found=categories[catName];if(!found){const color=(0,_util.hashCode)(catName)%360;let sat="30%";catName.toLowerCase().startsWith("obsolet")&&(sat="0%"),found={name:catName,hidden:!1,color:color+", "+sat,buttons:[]},categories[catName]=found}found.buttons.push({hidden:!1,category:catName,widgetindex:btn.id,widgetkey:btn.key,widgetname:btn.name,widgettitle:btn.name+" "+catName,iconname:"fa fas fa-eye",disabled:!btn.isUsableInScope(),selectable:null!=btn.insertquery,isfilter:isFilter,filterset:isFilter&&autoFilters.includes(btn.key)})}));const categoriesList=Object.values(categories);categoriesList.sort(((a,b)=>a.name<b.name?-1:a.name>b.name?1:0)),categoriesList.forEach((cat=>{cat.buttons.sort(),cat.hidden=0==cat.buttons.filter((btn=>!btn.hidden)).length}));const recentList=this.storage.getRecentUsed().filter((recent=>{const key=recent.key,widget=snptDict[key];if(null==widget||!widget.isUsableInScope())return!1;const selectable=void 0!==widget.insertquery,isSelection=this.isSelectMode();return key.length>0&&(!isSelection||isSelection&&selectable)})).map((recent=>{const key=recent.key,snpt=snptDict[key];return snpt?{key:key,name:snpt.name}:{key:key,name:""}}));return{rid:(0,_util.genID)(),selectMode:this.isSelectMode(),elementid:this.editor.id,categories:categoriesList,recent:recentList}}async handlePickModalClick(event){var _button$dataset,_button$dataset2;const target=event.target;if(!target)return;const buttonWrapper=target.closest("[data-key]");let widget=null;if(buttonWrapper){var _buttonWrapper$datase;const selectedButton=null==buttonWrapper||null===(_buttonWrapper$datase=buttonWrapper.dataset)||void 0===_buttonWrapper$datase?void 0:_buttonWrapper$datase.key;selectedButton&&(widget=this.editorOptions.widgetDict[selectedButton])}if(!widget)return;const button=target.closest("button.btn");if(null!=button&&null!==(_button$dataset=button.dataset)&&void 0!==_button$dataset&&_button$dataset.auto){const isSet="true"!==button.dataset.auto;button.dataset.auto=isSet+"",(0,_util.toggleClass)(button,"btn-primary","btn-outline-primary");const key=widget.key,autoFilters=new Set(this.storage.getFromLocal("startup.filters","").split(""));return isSet?autoFilters.add(key):autoFilters.delete(key),void this.storage.setToLocal("startup.filters",[...autoFilters].join(","),!0)}const aRecent=target.closest("a[data-key]");let ctx;var _this$storage$getRece;aRecent&&(ctx=null===(_this$storage$getRece=this.storage.getRecentUsed().filter((e=>e.key===widget.key))[0])||void 0===_this$storage$getRece?void 0:_this$storage$getRece.p);let confirmMsg=null;widget.isUsableInScope()||(confirmMsg=await(0,_str.get_string)("confirmusage","tiny_widgethub"));const forceInsert=null!==aRecent||"true"===(null==button||null===(_button$dataset2=button.dataset)||void 0===_button$dataset2?void 0:_button$dataset2.insert);confirmMsg?this.editor.windowManager.confirm(confirmMsg,(state=>{state&&this.handlePickModalAction(widget,forceInsert,ctx)})):this.handlePickModalAction(widget,forceInsert,ctx)}handlePickModalAction(widget,forceInsert,ctx){var _this$modal3;null===(_this$modal3=this.modal)||void 0===_this$modal3||_this$modal3.hide();const paramsController=this.widgetParamsFactory(widget);paramsController.parentCtrl=this,forceInsert||0===(widget.parameters??[]).length&&!widget.instructions?paramsController.insertWidget(ctx??{}):paramsController.handleAction()}}_exports.WidgetPickerCtrl=WidgetPickerCtrl;const widgetPickerCtrlInstances=new Map}));

//# sourceMappingURL=widgetPickerCtrl.min.js.map