define("tiny_widgethub/widget_settings",["exports","jquery","./libs/ymleditor-lazy","./libs/js_yaml-lazy","core/str","./service/templateSrv","./options"],(function(_exports,_jquery,_ymleditorLazy,_js_yamlLazy,_str,_templateSrv,_options){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Tiny WidgetHub plugin.
   *
   * @module      tiny_widgethub/plugin
   * @copyright   2024 Josep Mulet Pol <pep.mulet@gmail.com>
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_jquery=_interopRequireDefault(_jquery),_ymleditorLazy=_interopRequireDefault(_ymleditorLazy);const templateSrv=(0,_templateSrv.getTemplateSrv)();var _default={getAreas:function(id){return{$ymlArea:(0,_jquery.default)(`#id_s_tiny_widgethub_defyml_${id}`),$jsonArea:(0,_jquery.default)(`#id_s_tiny_widgethub_def_${id}`),$partialInput:(0,_jquery.default)(`#id_s_tiny_widgethub_partials_${id}`)}},updateYaml:function(id,codeProEditor){const{$jsonArea:$jsonArea}=this.getAreas(id),json=(($jsonArea.val()??"")+"").trim();if(json)try{const obj=JSON.parse(json),yml=(0,_js_yamlLazy.dump)(obj,{});codeProEditor.setValue(yml)}catch(ex){console.error(ex),$jsonArea.val(""),codeProEditor.setValue("")}else id?codeProEditor.setValue(""):codeProEditor.setValue("key: minimal-sample-key\nname: Minimal sample widget\ncategory: Examples\ntemplate: |\n  <p><br></p>\n  <p>Write your template {{greeting}}</p>\n  <p><br></p>\nparameters:\n  - name: greeting\n    value: Hello world!\nauthor: Your name <email@site.com>\nversion: 1.0.0")},validate:async function(yml,opts,partials){const validation={msg:"",html:"",json:void 0};try{var _jsonObj,_jsonObj2,_jsonObj3,_jsonObj4,_jsonObj5;let jsonObj;try{jsonObj=(0,_js_yamlLazy.load)(yml,null)??{}}catch(ex){return validation.msg="Yaml syntax error:: "+ex,validation}if(validation.json=JSON.stringify(jsonObj,null,0),null!==(_jsonObj=jsonObj)&&void 0!==_jsonObj&&_jsonObj.key){if("partials"===jsonObj.key)return validation;"partials"!==jsonObj.key&&(jsonObj.name&&(jsonObj.template||jsonObj.filter)?jsonObj.template&&jsonObj.filter?validation.msg+="Cannot have template and filter simultaneously. ":jsonObj.author&&jsonObj.version||(validation.msg+="Widgets must have 'author' and 'version' properties. "):validation.msg+="Widgets must have 'name' and 'template or filter' properties. ")}else validation.msg="Yaml file must have 'key' property. ";if(0===opts.id&&null!==(_jsonObj2=jsonObj)&&void 0!==_jsonObj2&&_jsonObj2.key){(opts.keys||[]).includes(jsonObj.key)&&(validation.msg+=`Key ${jsonObj.key} is already in use. Please rename it. `)}(0,_options.applyPartials)(jsonObj,partials);const translations=(null===(_jsonObj3=jsonObj)||void 0===_jsonObj3?void 0:_jsonObj3.I18n)??{},ctx={};(jsonObj.parameters??[]).forEach((param=>{ctx[param.name]=param.value}));const engine=null===(_jsonObj4=jsonObj)||void 0===_jsonObj4?void 0:_jsonObj4.engine,html=await templateSrv.render((null===(_jsonObj5=jsonObj)||void 0===_jsonObj5?void 0:_jsonObj5.template)||"",ctx,translations,engine);validation.html=html}catch(ex){validation.msg="Renderer error:: "+ex}return validation},init:async function(opts){const i18n=await(0,_str.get_strings)([{key:"preview",component:"tiny_widgethub"},{key:"delete",component:"tiny_widgethub"},{key:"savechanges",component:"tiny_widgethub"}]),{$ymlArea:$ymlArea,$jsonArea:$jsonArea,$partialInput:$partialInput}=this.getAreas(opts.id);$ymlArea.css({"min-height":"200px",border:"1px solid gray"});const partials=JSON.parse($partialInput.val()||"{}");$jsonArea.css("display","none");const $target=$jsonArea.parent(),$form=$jsonArea.closest("form");$form.find('button[type="submit"], input[type="submit"]').hide();const $formButtons=(0,_jquery.default)(`<div class="row"><div class="form-buttons offset-sm-3 col-sm-3">\n            <button type="button" class="btn btn-primary form-submit">${i18n[2]}</button></div></div>`);$form.append($formButtons);const $saveBtn=$formButtons.find("button"),$previewPanel=(0,_jquery.default)(`<div id="tiny_widgethub_pp_${opts.id}" class="tiny_widgethub-previewpanel d-none"></div>`);$target.append($previewPanel);const $previewBtn=(0,_jquery.default)(`<button type="button" class="btn btn-secondary m-1">\n            <i class="fas fa fa-magnifying-glass"></i> ${i18n[0]}</button>`);if($previewBtn.on("click",(async()=>{const yml=ymleditor.getValue(),validation=await this.validate(yml,opts,partials);validation.msg?alert(validation.msg):validation.html&&($previewPanel.removeClass("d-none"),$jsonArea.trigger("focusin"),$jsonArea.val(validation.json??""),$jsonArea.trigger("change"),$previewPanel.html(validation.html))})),$target.append($previewBtn),opts.id>0){const $deleteBtn=(0,_jquery.default)(`<button type="button" class="btn btn-danger m-1">\n                <i class="fas fa fa-trash"></i> ${i18n[1]}</button>`);$deleteBtn.on("click",(async()=>{confirm("Do you want to delete this widget?")&&($jsonArea.trigger("focusin"),$jsonArea.val(""),$jsonArea.trigger("change"),$ymlArea.val(""),$previewPanel.html(""),$form.trigger("submit"))})),$target.append($deleteBtn)}const ymleditor=new _ymleditorLazy.default($ymlArea[0]);$saveBtn.on("click",(async()=>{const yml=ymleditor.getValue(),validation=await this.validate(yml,opts,partials);validation.msg?alert(validation.msg):($jsonArea.trigger("focusin"),$jsonArea.val((validation.json??"")+" "),$jsonArea.trigger("change"),$form.trigger("submit"))})),this.updateYaml(opts.id,ymleditor)}};return _exports.default=_default,_exports.default}));

//# sourceMappingURL=widget_settings.min.js.map